> ## Documentation Index
> Fetch the complete documentation index at: https://docs.konvo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Orders

> Get Orders by filters



## OpenAPI

````yaml GET /orders
openapi: 3.0.1
info:
  title: Konvo API
  description: Access to your contact, broadcast, attribution & clicks data
  license:
    name: MIT
  version: 0.0.1
servers:
  - url: https://api.konvoai.com
security:
  - apiKeyAuth: []
paths:
  /orders:
    get:
      description: Get Orders by filters
      parameters:
        - name: page
          in: query
          description: Pointer for the current page of the paginated query
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          description: The maximum number of results to return, maximum is 200
          schema:
            type: integer
            format: int32
        - name: updated_at_min
          in: query
          description: Filter by broadcasts updated after a certain date
          schema:
            type: string
        - name: updated_at_max
          in: query
          description: Filter by broadcasts updated before a certain date
          schema:
            type: string
        - name: created_at_min
          in: query
          description: Filter by broadcasts created after a certain date
          schema:
            type: string
        - name: created_at_max
          in: query
          description: Filter by broadcasts created after a certain date
          schema:
            type: string
      responses:
        '200':
          description: Get order response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderResponse'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    OrderResponse:
      type: object
      properties:
        count:
          description: Total count of the request
          type: integer
        result:
          description: Resulting query
          type: array
          items:
            $ref: '#/components/schemas/Order'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    Order:
      properties:
        id:
          type: string
          example: be6ed223-19c3-47db-8635-794f856e1956
        contactId:
          type: string
          example: 21f0cf2f-30cd-4e13-9cde-7a3e4e77deff
        externalName:
          type: string
          example: '1001'
        externalId:
          type: string
          example: '5210634092624'
        firstName:
          type: string
          example: Jeff
        lastName:
          type: string
          example: Bezos
        email:
          type: string
          example: jeff@amazon.com
        phoneNumber:
          type: string
          example: '+15551234'
        orderTotal:
          type: number
          example: 69995
        currency:
          type: string
          example: eur
        channel:
          type: string
          example: SHOPIFY
        status:
          type: string
          example: PAID
        trackingUrl:
          type: string
          example: https://{{YOUR_SHOPIFY_URL}}.myshopify.com/{{EXTERNAL_ID}}
        createdAt:
          type: string
          example: '2024-11-07T11:57:25.000Z'
        updatedAt:
          type: string
          example: '2024-11-07T11:57:25.000Z'
        shopId:
          type: string
          example: '{{YOUR_SHOPIFY_URL}}.myshopify.com'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````